org.apache.cassandra.dht

## Class Token.TokenFactory<T>

- java.lang.Object
- - org.apache.cassandra.dht.Token.TokenFactory<T>

- Enclosing class:
    Token<T>

      public abstract static class Token.TokenFactory<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token.TokenFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Token<T>` | `fromByteArray(java.nio.ByteBuffer bytes)`
    `abstract Token<T>` | `fromString(java.lang.String string)`
    `abstract java.nio.ByteBuffer` | `toByteArray(Token<T> token)`
    `abstract java.lang.String` | `toString(Token<T> token)`
    `abstract void` | `validate(java.lang.String token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Token.TokenFactory

          public Token.TokenFactory()

  - ### Method Detail

    - #### toByteArray

          public abstract java.nio.ByteBuffer toByteArray(Token<T> token)

    - #### fromByteArray

          public abstract Token<T> fromByteArray(java.nio.ByteBuffer bytes)

    - #### toString

          public abstract java.lang.String toString(Token<T> token)

    - #### fromString

          public abstract Token<T> fromString(java.lang.String string)

    - #### validate

          public abstract void validate(java.lang.String token)
                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2014 The Apache Software Foundation